#ifndef WebServer_h_included
#define WebServer_h_included

#include <Arduino.h>
#include <ESPAsyncTCP.h>                               // https://github.com/me-no-dev/AsyncTCP
#include <ESPAsyncWebServer.h>
#include <FS.h>
#include "Relays.h"
#include "Clock.h"

class WebServer {
public:
  WebServer(Relays *r, Clock *real_t, Clock *model_t):relays(r),realTime(real_t),modelTime(model_t) {};
  void begin();
  void loop();

protected:
  Relays *relays;
  Clock *realTime, *modelTime;
};

#endif
